
/* link style-all.css file */

/* Header, nav bar */
/* header is styled in style-all.css file */

/* variables */
:root{
    /* 1vw ~= 19px */
    --hero-back-font-size: 17vw;
    --hero-front-font-size: 2vw;
    --tab-head-font-size: 1vw;
    --tb-tab-padding: 1.6vw;    /* 25px - don't change this, because it is used in javascript px value */
    --lr-tab-padding: 3.2vw;
    --p-font-size: 1.1vw;
    --table-font-size: 1.1vw;
    --white-text-color: #F1F1F1;
    --color-non-active: #d3d3d3;
    --color-active: #000;
    --tab-border-non-active: 3px solid #d3d3d3;
    --tab-border-active: 3px solid #000;
}
/* animations */
@keyframes zooming-in {
    from{transform: scale(0.5);}
    to{transform: scale(1);}
}
@keyframes zooming-out {
    from{transform: scale(1.5);}
    to{transform: scale(1);}
}
@keyframes smooth-appear {
    from{opacity: 0.5;}
    to{opacity: 1;}
}



/* hero logo section */
.hero-section{
    margin-top: 5.2rem;
    text-transform: uppercase;
    height: 30vh;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    position: relative;
    font-size: var(--hero-front-font-size);
}
.hero-section>p:nth-child(2){
    font-weight: 900;
}
.hero-section::before{
    content: 'OUR MENU';
    white-space: nowrap;
    color: var(--white-text-color);
    font-weight: 900;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: -1;
    font-size: var(--hero-back-font-size);
    transition: .3s all ease-in-out;
    overflow: hidden;
}
.hero-section:hover::before{
    transform: scale(.7);
}

/* food items tabs */
.tabs-container{
    width: 100%;
    padding-top: 1.5rem;
}
.tabs{
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
}
.tabs-head{
    width: 90%;
    display: flex;
    flex-direction: row;
    justify-content: flex-start;
    padding-bottom: 10px;
    overflow-x: auto;
    text-transform: uppercase;
    font-weight: bold;
    white-space: nowrap;
    font-size: var(--tab-head-font-size);
    transition: all .5s;
}
.tabs-head::-webkit-scrollbar{
	display: none;
    background-color: transparent;
    height: 10px;
    transition: all .5s;
}
/* .tabs-head::-webkit-scrollbar-button{
    background-color: red;
} */
/* .tabs-head::-webkit-scrollbar-corner{
    background-color: blue;
} */
/* .tabs-head::-webkit-scrollbar-track-piece{
    background-color: palevioletred;
} */
.tabs-head::-webkit-scrollbar-track{
    background-color: rgba(128, 128, 128, 0.1);
    border-radius: 10px;
}
.tabs-head::-webkit-scrollbar-thumb{
    background-color: rgb(177, 177, 177);
    border-radius: 10px;
}
.tabs-head:hover::-webkit-scrollbar{
    display: block;
}
.tabs-head > div.tab-toggle:last-child{
    margin-right: 0px;
}
.tab-toggle{
    cursor: pointer;
    transition: .5s all;
    border-top: var(--tab-border-non-active);
    color: var(--color-non-active);
    padding-top: 5px;
    margin-right: 30px;
}
.tab-toggle.active{
    color: var(--color-active);
    border-top: var(--tab-border-active);
}
.tabs-body{
    width: 100%;
}
.tab-content{
    width: 100%;
    padding: var(--tb-tab-padding) var(--lr-tab-padding);
    display: none;
    flex-direction: column;
    align-items: center;
    animation: smooth-appear 500ms ease-in-out;
    overflow: hidden;
    position: relative;
}
.tab-content.active{
    display: flex;
}
.tab-content > .tab-content-wrapper{
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
}
.tab-content > .tab-content-wrapper > .btns-veg-nonveg{
    width: 100%;
    padding: 1rem 0px 2rem;
    display: flex;
    align-items: center;
    justify-content: center;
    column-gap: 3rem;
}
.tab-content > .tab-content-wrapper > .btns-veg-nonveg a{
    text-decoration: none;
    text-align: center;
    color: #000;
    font-weight: 500;
    border: 1px solid black;
    border-radius: 25px;
    padding: 0.5rem 3rem;
    font-size: var(--p-font-size);
    transition: .3s all;
}
.tab-content > .tab-content-wrapper > .btns-veg-nonveg a:hover{
    background-color: black;
    color: white;
}
.tab-content > .tab-content-wrapper > .tab-content-image{
    width: 10%;
}
.tab-content > .tab-content-wrapper > .tab-content-image > img{
    animation: zooming-in 300ms ease-in-out;
    width: 100%;
}
.food-items-list{
    padding: 3rem 0px;
    width: 75%;
    position: relative;
}
.food-items-list>.vertical-text{
    color: var(--white-text-color);
    font-size: var(--hero-back-font-size);
    text-transform: uppercase;
    font-weight: 900;
    position: absolute;
    z-index: -1;
    writing-mode: vertical-rl;
    text-orientation: mixed;
}
.food-items-list>table{
    margin: auto;
    position: relative;
    width: 50%;
}
table.sub-menu{
    padding-top: 5rem;
}
.food-items-list>table>tbody>tr>td{
    text-transform: uppercase;
    font-weight: 900;
    font-size: var(--table-font-size);
    padding-bottom: 15px;
}
.food-items-list>table>tbody>tr>td:nth-child(1){
    color: black;
    padding-right: 100px;
}
.food-items-list>table>tbody>tr>td:nth-child(2){
    color: #469236;
}
.bg-images{
    width: 100%;
    position: absolute;
    top: 0;   /* set dynamically */
    left: 0;
    display: flex;
    flex-direction: column;
    z-index: -2;
}
.bg-images>div{
    width: 25%;
    position: relative;
}
.bg-images>div>img{
    width: 100%;
}
.bg-images>div:nth-child(odd){
    align-self: flex-end;
    right: -12.5%;
}
.bg-images>div:nth-child(even){
    align-self: flex-start;
    left: -12.5%;
}

/* footer is in style-all.css file */


/* media queries */
/* media queries for mobile */
@media screen and  (min-width: 320px) and (max-width: 768px) {
    :root{
        --hero-front-font-size: 3.5vw;
        --tab-head-font-size: 3.5vw;
        --lr-tab-padding: 3.2vw;
        --p-font-size: 3.6vw;
        --table-font-size: 2.8vw;
    }
    /* hero logo section */
    .hero-section{
        margin-top: 5.2rem;
        height: 15vh;
    }
    /* food items tabs */
    .tabs-container{
        padding-top: 0.75rem;
    }
    .tabs-head{
        width: 85%;
        padding-bottom: 5px;
        justify-content: flex-start;
    }
    .tabs-head::-webkit-scrollbar{
        display: none;
    }
    .tabs-head:hover::-webkit-scrollbar{
        display: none;
    }
    .tab-toggle{
        margin-right: 25px;
    }
    .tab-content > .tab-content-wrapper > .btns-veg-nonveg{
        column-gap: 1rem;
        padding: 1rem 5% 2rem;
    }
    .tab-content > .tab-content-wrapper > .btns-veg-nonveg a{
        padding: 0.2rem 1.5rem;
    }
    .tab-content > .tab-content-wrapper >  .tab-content-image{
        width: 30%;
    }
    .food-items-list{
        padding: 2rem 0px;
        /* background-color: aqua; */
    }
    .food-items-list>table{
        width: 90%;
    }
    table.sub-menu{
        padding-top: 4.1rem;
    }
    .food-items-list>table>tbody>tr>td{
        padding-bottom: 15px;
    }
    .food-items-list>table>tbody>tr>td:nth-child(1){
        color: black;
        padding-right: 25px;
    }
    .bg-images>div{
        width: 30%;
    }
    .bg-images>div:nth-child(odd){
        right: -15%;
    }
    .bg-images>div:nth-child(even){
        left: -15%;
    }
    /* footer is in style-all.css file */
}
/* end media queries for mobile */


